Get all dynamic caller ids

Retrieve the full list of dynamic caller IDs in your account.

When to use. Browse or export your dynamic caller IDs, or look up a caller ID's id, number and active status before enabling or disabling it. To retrieve only the caller IDs that match a filter, use GET /did/campaign_id/{filterby}.

Parameters. Use the fields query parameter with a semicolon-separated list to return only the fields you need, for example caller_id_number;caller_id_name;is_active. Include prefixes in that list to also return the dialing prefixes associated with each caller ID, which are omitted by default.

Returns. { "dynamicCallerIds": [ ... ], "total_did": N }.

Example. GET /api/did/fields/caller_id_number;caller_id_name;is_active;prefixes

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Dialer Name (subdomain)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json